@import "dark.css";
@import "light.css";

:root {
    --primary-color: #109c52;
    --highlight-color: #0094c6;
}

picture > *
{
    width: 100%;
    height: 100%;
    object-fit: scale-down;
}

body img {
  border: none;
}

/* Home page special stuff */
.homepage-insert
{
    display: flex;
    margin-bottom: 2em;
    padding: 0 0 2em;
    border-bottom: 2px solid var(--accent-colour);
    font-size: 1.2em;
    gap: 1em;
}

.homepage-insert > aside
{
    text-align: center;
}

.homepage-insert > aside > img
{
    display: block;
    margin: 0.5em auto;
}

@media (max-device-width: 800px)
{

.unflex-narrow
{
    display: contents;
}

}

summary
{
    padding: 10px;
}

.irc-log
{
    margin-top: 1em;
    padding-left: 3em;
}

.irc-log > .irc-header > .irc-time
{
    display: inline-block;
    margin-right: 2em;
}

.irc-log > p
{
    margin: 0;
}

.log-extract
{
    position: relative;
    padding-left: 6em;
}

.log-extract::before
{
    content: "«»";
    position: absolute;
    left: 0;
    opacity: 0.4;
    font-size: 6em;
    color: var(--accent-colour);
}

sup.footnote-reference > a:any-link
{
    color: var(--accent-colour);
    border-bottom: 0.1em solid var(--accent-colour);
}

sup.footnote-reference > a:hover
{
    color: inherit;
    border-bottom: 0.1em solid var(--accent-colour);
}

main div.footnote-definition:first-of-type
{
    margin-top: 2em;
    border-top: 0.1em solid var(--accent-colour);
}

main div.footnote-definition
{
    padding: 0.5em calc(1.5 * var(--p-padding));
    font-size: 0.8em;
}

main div.footnote-definition > p
{
    display: inline;
    margin: 0;
    padding: 0;
}

footer
{
    display: flex;
    order: 100;
    padding: 3em 2em 0;
}

footer > .copyright
{
    flex: 1;
}

footer picture
{
    display: inline-block;
    vertical-align: middle;
    height: 3em;
    margin: 0 1em;
}
